    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.sql.Driver

public interface Driver

The Java SQL framework allows for multiple database drivers.

Each driver should supply a class that implements the Driver interface.

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

It is strongly recommended that each Driver class should be small and standalone so that the Driver class can be loaded and queried without bringing in vast quantities of supporting code.

When a Driver class is loaded, it should create an instance of itself and register it with the DriverManager. This means that a user can load and register a driver by doing Class.forName("foo.bah.Driver").

See Also:
  DriverManager, Connection

##

acceptsURL(String)
  Returns true if the driver thinks that it can open a connection to the given URL.
connect(String, Properties)
  Try to make a database connection to the given URL.
getMajorVersion()
  Get the driver's major version number.
getMinorVersion()
  Get the driver's minor version number.
getPropertyInfo(String, Properties)

  The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database.

jdbcCompliant()
  Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver.

##

connect

     public abstract Connection connect(String url,
                                        Properties info) throws SQLException

  Try to make a database connection to the given URL. The driver should return "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

  The driver should raise a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

  The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments. Normally at least "user" and "password" properties should be included in the Properties.

  Parameters:
    url - The URL of the database to connect to
    info - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included
  Returns:
    a Connection to the URL
  Throws: SQLException
    if a database-access error occurs.

acceptsURL

     public abstract boolean acceptsURL(String url) throws SQLException

  Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.

  Parameters:
    url - The URL of the database.
  Returns:
    True if this driver can connect to the given URL.
  Throws: SQLException
    if a database-access error occurs.

getPropertyInfo

     public abstract DriverPropertyInfo[] getPropertyInfo(String url,
                                                          Properties info) throws SQLException

  The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

  Parameters:
    url - The URL of the database to connect to.
    info - A proposed list of tag/value pairs that will be sent on connect open.
  Returns:
    An array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.
  Throws: SQLException
    if a database-access error occurs.

getMajorVersion

     public abstract int getMajorVersion()

  Get the driver's major version number. Initially this should be 1.

getMinorVersion

     public abstract int getMinorVersion()

  Get the driver's minor version number. Initially this should be 0.

jdbcCompliant

     public abstract boolean jdbcCompliant()

  Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver. A driver may only report "true" here if it passes the JDBC compliance tests, otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases. This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.